local min,max in math

function _G.shield_regen_rate(max_shield, regenerator_count)
  return (max_shield * (1+regenerator_count) )^0.625
end

function ShipProperty.shield_regen_rate(ship)
  local adjusted_max_shields in ship

  local regenerators=0
  for s in systems(ship)
    if (s.type == 'shield_regenerator') and (s.damage < .5*s.health)
      regenerators++
    end
  end

  local base_regen = shield_regen_rate(adjusted_max_shields, regenerators)
  local regen_percent = base_regen/adjusted_max_shields

  return min(regen_percent, 1)
end

