local function define_system(name,t)
  return function(t)
    setmetatable(t,system_info_mt)
    t.part=name

    if not t.desc
      add_exception | 'missing system description for: '.. name
    end

    t.desc = desc_format(t.desc or '<missing system description>')
    mark_table_declaration(t,1)

    SYSTEMS[name]=t
  end
end


define_system "Shield Regenerator" {
  type = 'shield_regenerator',
  drawer_type = 'nodething',
  desc = [=[Increases shield regeneration rate. Each additional regenerator increases the rate by a reduced amount. 
         Must be placed in a [[Heavy Hardpoint|Heavy]] or [[Medium Hardpoint|Medium]] hardpoint.
         ]=],
  update_design_specs = function(self, specs, mount)
    -- we actually do nothing here, as the bonus needs to be
    -- calculated directly from the system system list anyhow (as
    -- damage can reduce efficiency).
    --
    -- see: ShipProperty.shield_regen_rate
    --
    -- this is only used for displaying the regen rate in the designer pane.
  end,
}